roaraudio (1.0~beta11-7) unstable; urgency=medium

  * Explicit disable slp support.
  * Add patch 05-more-more-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Mar 2016 10:44:25 +0100

roaraudio (1.0~beta11-6) unstable; urgency=high

  * Bump Standards-Version to 3.9.7 (no changes required).
  * Enable full hardening.
  * Drop libslp-dev build dependency.
    Closes: #815365
  * Add patch 04-more-spelling-errors to fix a bunch of spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Feb 2016 11:00:20 +0100

roaraudio (1.0~beta11-5) unstable; urgency=high

  * Remove libsndio symlink.
    Closes: #797233
  * Add patch 03-manpage-spelling-errors which fixes some spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Sep 2015 11:18:45 +0200

roaraudio (1.0~beta11-4) unstable; urgency=medium

  * Do not install sndio.h.
    Closes: #797233
  * Add patch 02-manpage-spelling-errors which fixes a few spelling errors in
    the manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Sep 2015 19:31:18 +0200

roaraudio (1.0~beta11-3) unstable; urgency=medium

  * Split out roarify from package libroar-compat2 to the new package
    libroar-compat-tools to allow make libroar-compat2 multi arch aware.
    Closes: #755846
  * Multi arch the roaraudio-dbg package.
  * libroar-compat2 provides libsndio2 not libsndio1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 18:23:31 +0200

roaraudio (1.0~beta11-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Drop dnet support, since the package will get removed.
    Closes: #755934
  * Drop deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Add GPG signature check for uscan.
  * Remove some hardening-no-fortify-functions lintian overrides.
  * Add Multi-Arch fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Jul 2015 19:15:25 +0200

roaraudio (1.0~beta11-1) unstable; urgency=low

  * New upstream release.
    - Closes Mayhem reports.
      Closes: #716264, #716251, #716245, #716240
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Removed roarcatvio, it is marked as obsoleted.
    Closes: #716263

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jan 2014 15:09:33 +0100

roaraudio (1.0~beta10-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian error pkg-config-multi-arch-wrong-dir.
  * Add patch 01-source-init-functions to fix lintian warning
    init.d-script-does-not-source-init-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Oct 2013 13:46:25 +0200

roaraudio (1.0~beta9-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:38:20 +0200

roaraudio (1.0~beta9-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - Drop merged patch 02-hyphen-used-as-minus-sign.
    - Add patch 01-hyphen-used-as-minus-sign to fix an new fault in
      roar-config.1.
  * Drop patch 01-configure-shebangs and make files in roaraudio/build-system/
    not executable again.
  * Migrate package to minimal debhelper rules and bump compat level to 9.

  [ Philipp Schafft ]
  * New upstream release.
    - Cleanup of rules.
    - Dropped patch 01-hyphen-used-as-minus-sign as it got merged into upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Feb 2013 09:46:55 +0100

roaraudio (1.0~beta8-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 02-man-spelling-error.
    - Add patch 02-hyphen-used-as-minus-sign to fix lintian warnings.
  * Overwrite false positive lintian warnings in the roaraudio package about
    hardening-no-fortify-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:17:01 +0100

roaraudio (1.0~beta7-1) experimental; urgency=low

  * New upstream release.
    - Export build-system.
    - Make configure scripts executable.
    - Add patch 01-configure-shebangs to set the shebang from the new configure
      scripts of the build system to /bin/sh from /bin/false.
    - Add patch 02-man-spelling-error to fix an spelling error in the
      roarpluginrunner manpage.
    - The .cvsignore file is not installed anymore, remove the hack.
  * Correctly set CFLAGS and install missing roarpluginrunner and
    roarpluginaplication binaries.
    Closes: #691217

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Nov 2012 15:34:28 +0100

roaraudio (1.0~beta6-1) experimental; urgency=low

  * New upstream release.
    - Remove .cvsignore from /usr/include/roaraudio.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Sep 2012 09:55:58 +0200

roaraudio (1.0~beta6~pr0-1) experimental; urgency=low

  * New upstream pre-release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 09:59:38 +0200

roaraudio (1.0~beta5-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Aug 2012 18:05:30 +0200

roaraudio (1.0~beta4-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-uuid.
    - Drop merged patch 02-use-execed.
    - Drop merged patch 03-client-name-buffer-overflow.
  * Merge 1.0~beta2-3 changelog.
  * Use wildcards to install the roar plugins.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Aug 2012 15:13:59 +0200

roaraudio (1.0~beta2-3) unstable; urgency=low

  * Add backported upstream patch 03-client-name-buffer-overflow to fix a
    buffer overflow of roaraudio with verly long client names. With enabled
    hardening roaraudio just crashs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Aug 2012 23:31:08 +0200

roaraudio (1.0~beta2-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
    Closes: #682878
  * Add upstream patch 01-uuid, which fixes a parameter/UUID overwrite.
  * Add upstream patch 02-use-execed, which fixes a problem using +fork to a
    server using a proxy command not supporting PASSFH. The use-execed
    workaround is with this fix no longer necessary.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 13:39:33 +0200

roaraudio (1.0~beta2-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream beta release.
    - Updated debian init script
    - Improved random number generator (RNG)
    - Improved runtime hardening

  [ Patrick Matthäi ]
  * Drop the whole celt stuff without any mercy.
    Closes: #674649
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Jun 2012 00:36:19 +0200

roaraudio (1.0~beta1-3) unstable; urgency=low

  * Drop patch 01-gnu-source-hurd, it is a buildd toolchain fault.
  * Build with enabled libpulse on hurd-i386, since it is now available.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 May 2012 18:42:23 +0200

roaraudio (1.0~beta1-2) unstable; urgency=low

  * Try to workaround hurd-i386 FTBFS by adding patch 01-gnu-source-hurd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 20 May 2012 18:52:01 +0200

roaraudio (1.0~beta1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream beta release.
    - Install new plugins provided by upstream to the new package
      libroar-plugins-universal.

  [ Patrick Matthäi ]
  * Move the roaraudio client binaries to the new package roarclients.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 May 2012 13:32:43 +0200

roaraudio (1.0~beta0-1) unstable; urgency=low

  * New upstream beta release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Mar 2012 12:08:32 +0100

roaraudio (1.0~beta0~pr2-2) experimental; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Do not build with yiff support.
  * Remove build dependency on dropped package liby-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 10 Mar 2012 00:15:32 +0100

roaraudio (1.0~beta0~pr2-1) experimental; urgency=low

  * New upstream pre-release.
    - Remove 01-disable-ipx patch and pass --no-ipx to configure.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Feb 2012 20:31:09 +0100

roaraudio (1.0~beta0~pr1-1) experimental; urgency=low

  * New upstream pre-release.
  * Add missing Conflicts/Replaces on libroar-compat1 to the libroar-compat2
    package.
    Closes: #659783
  * Fix broken libsndio symlinks and move the creation of them from
    debian/rules to dh_link.
  * Remove duplicate dh_link call.
  * Remove librsound.so* symlinks.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Feb 2012 18:57:33 +0100

roaraudio (1.0~beta0~pr0-1) experimental; urgency=low

  * New upstream pre-release.
    - Bump SONAMEs:
      libroar1 to libroar2
      libroar-compat1 to libroar-compat2
  * Do not copy the bash completion to debian/tmp, direct install it instead.
  * Remove deprecated libartsc symlinks from the libroar-compat2 package.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Feb 2012 19:58:10 +0100

roaraudio (0.4-5) unstable; urgency=low

  * Add patch 01-disable-ipx to disable IPX support on all platforms. This
    also fixes the FTBFS on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 20:31:11 +0100

roaraudio (0.4-4) unstable; urgency=low

  * Add libipx-dev as build dependency on kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 29 Jan 2012 13:40:45 +0100

roaraudio (0.4-3) unstable; urgency=low

  * Mangle rc to ~rc in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:07:05 +0100

roaraudio (0.4-2) unstable; urgency=medium

  [ Philipp Schafft ]
  * Corrected Depends on own shared libraries (to unbreak upgrade)
    (Closes: #648729)

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 02 Dec 2011 21:09:34 +0100

roaraudio (0.4-1) unstable; urgency=medium

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed several segfauls
    - Fixed pointer aliasing (relevant to MIPS)
    - Fixed a maybe remote attacable buffer overflow
    - Improved error handling
  * Updated lintian overrides
  * Removed useless ${shlibs:Depends} from roaraudio-dbg

  [ Patrick Matthäi ]
  * Wrap all control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:17:20 +0100

roaraudio (0.4~rc0-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed endless loop in MIDI driver, MIDI is now enabled in Debian package.
    - Corrected symlinks for complibs.
    - roard now starts up in 32 bit mode by default. This enabled more easy
      radio streaming.
    - Debian init scripts were improved and match roard again.
  * Updated architecture depended dependencies (Closes: #634335)
  * Removed patch 01-fix-man-errors.diff as it got upstreamed.
  * Removed tools from libroar-dev becaue they are no longer build by upstream:
      roarsocktypes, roarfctest, roarcatad, roarcatsendfile,
      roarcat2sock, roarcatpassfh
  * Updated debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 17 Sep 2011 17:49:59 +0200

roaraudio (0.4~beta7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Audio drivers got updated to correctly use sync logic.
      All drivers should now work again.

  [ Patrick Matthäi ]
  * Add missing build-arch and build-indep target.
  * Add patch 01-fix-man-errors.diff to fix new format errors in manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 10 Jul 2011 19:52:10 +0200

roaraudio (0.4~beta6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Re-enable libfishsound.
  * Updated Build-Depends for libz and portaudio v.19.
  * Suggest ckport and libmuroar-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 May 2011 21:00:29 +0200

roaraudio (0.4~beta5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Moved suggest of slpd package from pkg:roaraudio to pkg:libroar1.

  [ Patrick Matthäi ]
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 17:24:02 +0200

roaraudio (0.4~beta5~pr0-1) unstable; urgency=low

  * New upstream release.
    - Add new files.
  * Remove arts implementation, since it will be removed from Debian.
    Closes: #620638
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Suggest slpd package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 17 Apr 2011 21:47:17 +0200

roaraudio (0.4~beta4-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Mar 2011 21:55:56 +0100

roaraudio (0.4~beta4~pr0-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Move roaraudio-server from recommends to suggests.
    Closes: #613625

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed some small error within the init script
    See also: #613772

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 27 Feb 2011 16:11:03 +0100

roaraudio (0.4~beta3-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 16:46:21 +0100

roaraudio (0.4~beta3~pr0-1) experimental; urgency=low

  * New upstream release.
    - Fixes FTBFS on some big endian architectures.
      Closes: #610254

 -- Philipp Schafft <lion@lion.leolix.org>  Thu, 20 Jan 2011 23:56:09 +0100

roaraudio (0.4~beta2-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #608140
    - Add patch 01-fix-init-stop.diff, which fixes the parameter order, so that
      roaraudio stops correctly.
  * Bump Standards-Version to 3.9.1 (no changes needed).
  * Add correct mangling in debian/watch.
  * Remove libroar-dev dependency from the -dbg package.
  * Remove all patches. They have been merged by upstream.
  * Do not double-install some packages, adding --ignore option to dh_install.
  * Remove useless provides with the -dbg package.
  * Add correct alternative depends for the -dbg package.
  * Add some lintian overrides for libroar1 and libroar-compat1.

  [ Philipp Schafft ]
  * Merged package roaraudio-extra into roaraudio.
  * Updated packages to match new soname.
  * Enabled new FLAC codec filter in roard (roaraudio package).
  * Set distribution version string to Debian package version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Jan 2011 20:53:54 +0100

roaraudio (0.3-2) unstable; urgency=high

  [ Philipp Schafft ]
  * Add upstream patch 02-roarify-ldlibrarypath.diff, which fixes the insecure
    handling of $LD_LIBRARY_PATH as mentioned in CVE-2010-3363.
    Closes: #598295
  * Fixed matrix pointer error with 01-libao4-matrix-pointer.diff in libao
    driver of roard.
    Closes: #598451

  [ Patrick Matthäi ]
  * Do not install pulse libraries on hurd-i386, which fixes a FTBFS on this
    architecture.
    Closes: #598449

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 30 Sep 2010 21:03:19 +0200

roaraudio (0.3-1) unstable; urgency=medium

  [ Patrick Matthäi ]
  * Add missing dependencies to the libroar-dev package.

  [ Philipp Schafft ]
  * Added symlink for libsndio.so -> libsndio.so.* in -dev package.
  * Install bash completion script.
  * Enabled ALSA support, recommend OSS.
  * Enabled CELT (0.7.1) support.
  * Re-enable libao driver for roard.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Aug 2010 20:09:20 +0200

roaraudio (0.3~beta7-pr2-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * Do not build roaraudio with missing libdnet-dev on hurd and kfreebsd.
  * libroar-compat0 breaks with roaraudio << 0.3~beta7-pr2-1, because of the
    moved roarify file.

  [ Philipp Schafft ]
  * New upstream pre-release.
    - Fixes FTBFS with libdnet on big endian systems.
  * Fixed install of libroarsndio as libsndio.
  * Moved roarify from roaraudio to libroar-compat0 as it is useless without
    it anyway.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 21 Jul 2010 18:13:39 +0200

roaraudio (0.3~beta7-pr1-1) unstable; urgency=low

  * Initial release.
    Closes: #587968

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Jul 2010 20:59:27 +0200
